#
# spec file for package yast2-slp (Version 2.13.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone unzip util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings zlib zlib-devel

Name:           yast2-slp
URL:            http://www.suse.com/
Version:        2.13.4
Release:        0.17
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-slp-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  doxygen gcc-c++ libxcrypt-devel openslp-devel perl-XML-Writer yast2 yast2-core-devel yast2-devtools
Requires:       openslp
Summary:        SLP Agent and Browser for  YaST

%description
This modules enables YaST modules to register services with SLP.
Additionally it offers a simple browser of SLP registered services.



Authors:
--------
    Anas Nashif <nashif@suse.de>

%debug_package
%prep
%setup -n yast2-slp-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/scrconf/*.scr
%{_libdir}/YaST2/plugin/libpy2ag_slp.so.*
%{_libdir}/YaST2/plugin/libpy2ag_slp.so
%{_libdir}/YaST2/plugin/libpy2ag_slp.la
/usr/share/YaST2/clients/slp.ycp
#%{prefix}/share/applications/YaST2/slp.desktop
/usr/share/YaST2/modules/SLP.y*
%doc %{prefix}/share/doc/packages/yast2-slp

%changelog
* Mon Nov 20 2006 - jsuchome@suse.cz
- adapted to new API of SLPGetPeer (#222611)
- 2.13.4
* Fri Sep 22 2006 - jsuchome@suse.cz
- use dlsym to check if SLPGetPeer is available (F300619, cont.)
- 2.13.3
* Wed Sep 13 2006 - jsuchome@suse.cz
- added support for unicast queries and peerinfo (F300619)
- 2.13.2
* Mon Feb 20 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.1
* Fri Dec 02 2005 - jsuchome@suse.cz
- updated for current devtools
- 2.13.0
* Wed Aug 10 2005 - jsuchome@suse.cz
- 2.12.0
* Fri Sep 17 2004 - nashif@suse.de
- Fixed function comments
- Removed desktop file. slp browser is just a test script for the
  SLP agent. (#
* Mon Jun 07 2004 - nashif@suse.de
- Fixed attribute summary when showing list attributes (#41707)
- 2.9.11
* Mon Apr 26 2004 - nashif@suse.de
- abort on close window event (#39370)
- 2.9.10
* Tue Apr 06 2004 - nashif@suse.de
- Fixed splitting of returns attribute string (#38525)
- 2.9.9
* Tue Apr 06 2004 - nashif@suse.de
- Fixed tree widget in ncurses mode (#38493)
- 2.9.8
* Sat Apr 03 2004 - nashif@suse.de
- Use new tree wizard (#37581)
- Version 2.9.7
* Fri Apr 02 2004 - nashif@suse.de
- License changed to GPL
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Fri Mar 12 2004 - nashif@suse.de
- Adapt to new wizard, use generic wizard now
- added desktop file
- 2.9.5
* Sun Mar 07 2004 - nashif@suse.de
- New function to match a service type and return all relevant data
- 2.9.4
* Fri Mar 05 2004 - nashif@suse.de
- stricter types
- 2.9.3
* Wed Feb 25 2004 - nashif@suse.de
- Add function to register services via /etc/slp.reg.d
- 2.9.2
* Mon Feb 23 2004 - nashif@suse.de
- Added some caching,
- fixed showing attributes
- 2.9.1
* Sun Feb 08 2004 - nashif@suse.de
- Initial version
